// uni-app请求封装
// export default class Request {
//     http (router,data,method,flag) {
//         // 基础地址
//         let path = 'https://wx.fujinyangche.com/nvrnetwork/';
// 		goLogin();
// 		if(flag == 1){
// 			data.token = "123"
		
// 		}
//         // 返回promise
//         return new Promise((resolve,reject) => {
//             // 请求
//             uni.request({
//                 url: `${path}${router}`,
//                 data: data,
//                 method:method,
//                 success: (res) => {
//                     // 将结果抛出
//                     resolve(res.data)
//                 }
//             })
//         })    
//     }
// }
//promise封装请求
// export default {
//     http (router,data,method,flag) {
//         // 基础地址
//         let path = 'https://wx.fujinyangche.com/nvrnetwork/';
// 		if(flag == 1){
// 			data.token = 123
		
// 		}
//         // 返回promise
//         return new Promise((resolve,reject) => {
//             // 请求
//             uni.request({
//                 url: `${path}${router}`,
//                 data: data,
//                 method:method,
//                 success: (res) => {
//                     // 将结果抛出
//                     resolve(res.data)
//                 }
//             })
//         })    
//     }
// }
//flyio 封装请求  拦截
let Fly=require("./node_modules/flyio/dist/npm/wx");


let fly=new Fly();
// 配置请求根域名
// fly.config.baseURL = "https://wx.fujinyangche.com/nvrnetwork/";
fly.config.baseURL = "http://192.168.3.136:8080/nvrnetwork/";
// fly.config.baseURL = "http://192.168.3.136/";
// 配置响应拦截器
fly.interceptors.response.use(
    (response) => {
        // 如果请求报错
        if (response.data.code != 200) {
            // uni.showModal({
            //     title: '温馨提示',
            //     content: response.data.data
            // })
        } else {
            //只将请求结果的data字段返回
            return response
        }
    },
    (err) => {
        //发生网络错误后会走到这里
        return Promise.resolve("网络请求：ERROR！")
    } 
);
// 配置请求拦截器
fly.interceptors.request.use((request) => {
	request.headers = {
	    'Content-Type': 'application/x-www-form-urlencoded'
	};
	return request;
 //    if(request.body.token == undefined){
	// 	return request;
	// }else{
	// 	//证明参数中有token
	// 	let token = uni.getStorageSync('token');
	// 	if(token == ''){
	// 		//本地存储中没token，跳转登录页
	// 		uni.reLaunch({
	// 			url:'/pages/packageOne/login/login'
	// 		})
	// 	}else{
	// 		return request;
	// 	}
	// }
});
//表单验证
import schema from 'async-validator';
function role(data,roles){
	let validator = new schema(roles);
	validator.validate(data).then(() => {
	}).catch(({ errors, fields }) => {
		uni.showToast({
			icon: 'none',
			duration:2000,
			title:errors[0].message
		})
	})
}
function nav(url,params){ //用此方法跳转都需要登录以后才有权限
	let token = uni.getStorageSync('token');
	if(token){
		uni.navigateTo({
			url:url
		})
	}else{
		uni.navigateTo({
			url:'/pages/packageOne/login/login?params=' + params
		})
	}
}
export default {
	fly,
	role,
	nav,
}
